# Magnetic field strength

A decision block that checks the surrounding magnetic field strength using the built-in sensor.

If the proceed option is set to Immediately, then check the current magnetic field strength without pausing the fiber. If set to When changed, then the fiber will pause until the magnetic field strength comes within the microtesla range, or goes out of range.

If both minimum field strength and maximum field strength is set and doesn’t evaluate to `null` then the field strength must be within the range. If only minimum is set, then the field strength must be greater than or equal to it. If only maximum is set, then the field strength must be less than or equal to it. If neither minimum nor maximum is set, then the current field strength is just assigned to the current field strength variable without a check.

The magnetic field magnitude at the Earth’s surface ranges from 25 to 65 microteslas.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum field strength — minimum magnetic field strength in microtesla.
- Maximum field strength — maximum magnetic field strength in microtesla.

## Output variables

- Current field strength — a variable to assign the current magnetic field strength in microtesla.